<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">
    Ajouter d'un cours
  </h4>
  <button type="button" class="close" aria-label="Close" (click)="dismiss()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <div class="row">
    <div class="col-md-12">
      <form
        [formGroup]="lessonCreationForm"
        (ngSubmit)="(lessonCreationForm.valid)"
        novalidate
      >
        <div class="form-group">
          <select
            class="form-control"
            placeholder="Ecole de ski"
            formControlName="lessonSkiingSchool"
          >
            <option
              *ngFor="let skiingSchool of skiingSchools"
              [value]="skiingSchool.skiingSchoolId"
            >
              {{ skiingSchool.skiingSchoolName }}
            </option>
          </select>
        </div>
        <div class="form-group">
          <input
            type="text"
            id="lesson_level"
            class="form-control"
            tabindex="1"
            placeholder="Niveau du cours de ski..."
            formControlName="lessonLevel"
          />
        </div>
        <div class="form-group">
          <input
            type="text"
            id="lesson_sport"
            class="form-control"
            tabindex="1"
            placeholder="Sport"
            formControlName="lessonSport"
          />
        </div>
        <div class="form-group">
          <input
            type="text"
            id="lesson_club"
            class="form-control"
            tabindex="1"
            placeholder="Club"
            formControlName="lessonClub"
          />
        </div>
        <div class="form-group">
          <div class="input-group">
            <input
              class="form-control"
              placeholder="yyyy-mm-dd"
              name="dateStart"
              formControlName="lessonDate"
              [minDate]="_dateFormatter.fromModel(minDate)"
              [maxDate]="_dateFormatter.fromModel(maxDate)"
              [readOnly]="true"
              ngbDatepicker
              #pickerStart="ngbDatepicker"
            />
            <div class="input-group-append">
              <button
                class="btn btn-outline-secondary calendar"
                (click)="pickerStart.toggle()"
                type="button"
                appOcticons
                octicon="calendar"
              ></button>
            </div>
          </div>
        </div>
        <div class="form-group">
          <div class="row">
            <div class="col-md-3">
              <p>Horaires :</p>
            </div>
            <div class="col-md-auto">
              <ngb-timepicker
                [(ngModel)]="lessonStartTime"
                formControlName="lessonStartTime"
                required
              ></ngb-timepicker>
            </div>
            <div class="col-md-auto">
              <ngb-timepicker
                [(ngModel)]="lessonEndTime"
                formControlName="lessonEndTime"
                required
              ></ngb-timepicker>
            </div>
          </div>
        </div>
        <div class="form-group">
          <input
            type="text"
            id="lesson_meeting_place"
            class="form-control"
            tabindex="1"
            placeholder="Lieu de rencontre"
            formControlName="lessonMeetingPlace"
          />
        </div>
        <div class="form-group">
          <input
            type="number"
            class="form-control"
            id="lesson_number_places"
            min="0"
            placeholder="Nombre de places "
            formControlName="lessonNumberPlaces"
          />
        </div>
        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-outline-secondary"
            (click)="dismiss()"
          >
            Annuler
          </button>
          <button
            type="submit"
            class="btn btn-outline-secondary"
            [disabled]="!lessonCreationForm.valid"
            (click)="submitLesson()"
          >
            Valider
          </button>
        </div>
      </form>
    </div>
  </div>
</div>
